<script lang="ts">
	import { UserRoleMap } from "$lib/core/enums";
	import { authClient } from "$lib/domains/auth/config/client";
	import { onMount } from "svelte";

	onMount(async () => {
		authClient.signUp
			.email({
				email: "admin@local.dev",
				name: "admin",
				password: "password",
				username: "admin",
				// @ts-ignore
				role: UserRoleMap.ADMIN,
				discountPercent: 0,
			})
			.then((res) => console.log(res));
	});
</script>

<span>. . .</span>
